- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::Cached_Policies Class Reference

`#include <POA_Cached_Policies.h>`

List of all members.

## Public Types
enum | PriorityModel { CLIENT_PROPAGATED, SERVER_DECLARED, NOT_SPECIFIED }
## Public Member Functions
| Cached_Policies ()
| ~Cached_Policies (void)
void | update (TAO_POA_Policy_Set &policy_set)
| Update the cached policy values.
Accessor methods to cached values.
::PortableServer::ThreadPolicyValue | thread (void) const
::PortableServer::LifespanPolicyValue | lifespan (void) const
::PortableServer::IdUniquenessPolicyValue | id_uniqueness (void) const
::PortableServer::IdAssignmentPolicyValue | id_assignment (void) const
::PortableServer::ImplicitActivationPolicyValue | implicit_activation (void) const
::PortableServer::ServantRetentionPolicyValue | servant_retention (void) const
::PortableServer::RequestProcessingPolicyValue | request_processing (void) const
PriorityModel | priority_model (void) const
CORBA::Short | server_priority (void) const
void | priority_model (PriorityModel priority_model)
void | server_priority (CORBA::Short priority)
void | implicit_activation (::PortableServer::ImplicitActivationPolicyValue value)
## Protected Member Functions
void | update_policy (const CORBA::Policy_ptr policy)
| Helper method to update a particular policy.
## Protected Attributes
::PortableServer::ThreadPolicyValue | thread_
::PortableServer::LifespanPolicyValue | lifespan_
::PortableServer::IdUniquenessPolicyValue | id_uniqueness_
::PortableServer::IdAssignmentPolicyValue | id_assignment_
::PortableServer::ImplicitActivationPolicyValue | implicit_activation_
::PortableServer::ServantRetentionPolicyValue | servant_retention_
::PortableServer::RequestProcessingPolicyValue | request_processing_
PriorityModel | priority_model_
CORBA::Short | server_priority_

## Member Enumeration Documentation

enum TAO::Portable_Server::Cached_Policies::PriorityModel

Enumerator:

  CLIENT_PROPAGATED |
  SERVER_DECLARED |
  NOT_SPECIFIED |

## Constructor & Destructor Documentation

TAO::Portable_Server::Cached_Policies::Cached_Policies | ( |  | ) |

TAO::Portable_Server::Cached_Policies::~Cached_Policies | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::PortableServer::IdAssignmentPolicyValue TAO::Portable_Server::Cached_Policies::id_assignment | ( | void |  | ) | const

ACE_INLINE::PortableServer::IdUniquenessPolicyValue TAO::Portable_Server::Cached_Policies::id_uniqueness | ( | void |  | ) | const

void TAO::Portable_Server::Cached_Policies::implicit_activation | ( | ::PortableServer::ImplicitActivationPolicyValue | value | ) |

ACE_INLINE::PortableServer::ImplicitActivationPolicyValue TAO::Portable_Server::Cached_Policies::implicit_activation | ( | void |  | ) | const

ACE_INLINE::PortableServer::LifespanPolicyValue TAO::Portable_Server::Cached_Policies::lifespan | ( | void |  | ) | const

ACE_INLINE void TAO::Portable_Server::Cached_Policies::priority_model | ( | PriorityModel | priority_model | ) |

ACE_INLINE Cached_Policies::PriorityModel TAO::Portable_Server::Cached_Policies::priority_model | ( | void |  | ) | const

ACE_INLINE::PortableServer::RequestProcessingPolicyValue TAO::Portable_Server::Cached_Policies::request_processing | ( | void |  | ) | const

ACE_INLINE::PortableServer::ServantRetentionPolicyValue TAO::Portable_Server::Cached_Policies::servant_retention | ( | void |  | ) | const

ACE_INLINE void TAO::Portable_Server::Cached_Policies::server_priority | ( | CORBA::Short | priority | ) |

ACE_INLINE CORBA::Short TAO::Portable_Server::Cached_Policies::server_priority | ( | void |  | ) | const

ACE_INLINE::PortableServer::ThreadPolicyValue TAO::Portable_Server::Cached_Policies::thread | ( | void |  | ) | const

void TAO::Portable_Server::Cached_Policies::update | ( | TAO_POA_Policy_Set & | policy_set | ) |

Update the cached policy values.

void TAO::Portable_Server::Cached_Policies::update_policy | ( | const CORBA::Policy_ptr | policy | ) | `[protected]`

Helper method to update a particular policy.

## Member Data Documentation

::PortableServer::IdAssignmentPolicyValue TAO::Portable_Server::Cached_Policies::id_assignment_`[protected]`

::PortableServer::IdUniquenessPolicyValue TAO::Portable_Server::Cached_Policies::id_uniqueness_`[protected]`

::PortableServer::ImplicitActivationPolicyValue TAO::Portable_Server::Cached_Policies::implicit_activation_`[protected]`

::PortableServer::LifespanPolicyValue TAO::Portable_Server::Cached_Policies::lifespan_`[protected]`

PriorityModel TAO::Portable_Server::Cached_Policies::priority_model_`[protected]`

::PortableServer::RequestProcessingPolicyValue TAO::Portable_Server::Cached_Policies::request_processing_`[protected]`

::PortableServer::ServantRetentionPolicyValue TAO::Portable_Server::Cached_Policies::servant_retention_`[protected]`

CORBA::Short TAO::Portable_Server::Cached_Policies::server_priority_`[protected]`

::PortableServer::ThreadPolicyValue TAO::Portable_Server::Cached_Policies::thread_`[protected]`

The documentation for this class was generated from the following files:

- POA_Cached_Policies.h
- POA_Cached_Policies.cpp
- POA_Cached_Policies.i